import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

import java.util.Random;
import java.awt.Color;

/**
 * classic shooter
 * 
 * @author (Bernardo and Paulo) 
 * @version (1.0)
 */
public class Level2 extends World
{
    
    public static boolean hindernis[][]=new boolean[800][600]; 
    public Level2()//creates array to make obstacles adds Objects
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 600, 1); 
        setBackground ("Sand.jpg");
        Menu.obstacles = true;
        
        HealthBar bosslife= new HealthBar();
        addObject (bosslife,50,50);
        Counter scoreadd= new Counter();
        addObject (scoreadd,100,550);
        HealthBar shooterlife= new HealthBar();
        Shieldbar shield=new Shieldbar();
        addObject (shooterlife,750,550);
        addObject (shield,750,535);
        addObject (new Shooter(shooterlife,shield,scoreadd),400,300);
        addObject (new Boss(bosslife),750,50);
        addObject (new Zombies(scoreadd),Greenfoot.getRandomNumber(50)+700,Greenfoot.getRandomNumber(50)+500);
        
        int X1,Y1;
        X1=100;
        Y1=300;
        addObject(new Boxes(),X1+30,Y1+50);
        addObject(new Boxes(),X1+30,Y1-50);
        for(int x=0;x<hindernis.length;x++)
        {
            for(int y=0;y<hindernis[x].length;y++)
            {
                hindernis[x][y]=false;
            }
        }
            for(int i=X1-25;i<=X1+50;i++)
        {
            for (int o=Y1-100;o<=Y1+100;o++)
            {
                hindernis [i][o] = true;
                
            }
        }

    }
    
    public static boolean walkable(int X,int Y)//sets parameters
    {
        if(!Menu.obstacles) return true;
        if(X<10 | X>790)
        {
            return false;
        }
        if (Y<10|Y>590)
        {
            return false;
        }
        if(hindernis[X][Y])
        {
            return false;
        }
        
        return true;
    }
    
}